=== debian/changelog ===
tomahawk (0.6.0+dfsg1-0ubuntu1) raring; urgency=low

  * Reduce dfsg stripping to fix build (source remains still DFSG compliant)

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 07 Mar 2013 23:40:27 +0100

tomahawk (0.6.0+dfsg-0ubuntu1) raring; urgency=low

  [ Prasad Murthy ]
  * Update debian/copyright
  * debian/control:
    - Remove Recommends: gstreamer0.10-plugins-ugly
    - Update Maintainer to Kubuntu developers
    - Drop build-depends
      + libqtweetlib-dev
      + libjreen-dev
  * debian/rules:
    - override_dh_auto_configure:
      + Drop -DBUILD_RELEASE=ON
      + Drop -DCMAKE_BUILD_TYPE=Release

  [ Harald Sitter ]
  * New upstream release
  * Bump standards version to 3.9.4 and prepare for inclusion in raring
  * Make -dbg package section debug and priority extra
  * Don't version-dep on libechonest
  * Change libexec path from /usr/libexec to /usr/lib/tomahawk/libexec/
    as that seems more FHS compliant. Also int he long run plugins should
    become movable to /usr/lib/tomahawk/
  * Add debian/repack.stub and debian/repack.local to do DFSG repack

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 07 Mar 2013 23:29:42 +0100

tomahawk (0.6.0~beta1-0ubuntu1~ppa1~quantal1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 14 Jan 2013 16:04:30 +0100

tomahawk (0.5.5-0ubuntu1~ppa1~quantal1) quantal; urgency=low

  * New upstream release 
  * Add pkg-config to build-depends to fix a cmake warning with echonest
  * Bump build-dep on libechonest-dev to >= 2~

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 26 Jul 2012 12:38:28 +0200

tomahawk (0.5.4-0ubuntu1~ppa1~quantal1) quantal; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 15 Jul 2012 14:42:01 +0200

tomahawk (0.5.3-0ubuntu1~ppa1~quantal) quantal; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 07 Jul 2012 12:01:20 +0200

tomahawk (0.5.2-0ubuntu1~ppa1~quantal1) quantal; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 02 Jul 2012 00:23:22 +0200

tomahawk (0.5.1-0ubuntu1~ppa1~quantal1) quantal; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 01 Jul 2012 20:40:49 +0200

tomahawk (0.5.0-0ubuntu1~ppa1~quantal1) quantal; urgency=low

  * New upstream release 
    - bump build-dep on attica
    - update install file

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 25 Jun 2012 15:24:46 +0200

tomahawk (0.4.2-0ubuntu1~ppa2~precise1) precise; urgency=low

  * Add build-dep on libquazip-dev 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 09 Apr 2012 01:24:04 +0200

tomahawk (0.4.2-0ubuntu1~ppa1~precise1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 07 Apr 2012 19:16:13 +0200

tomahawk (0.4.0-0ubuntu1~ppa1~precise3) precise; urgency=low

  * Import upstream commit c6cd6821bfe1e2c2a8de10f1ca3ea30940dbf27c from
    master as support_qtweetlibs_0.5.diff
    for QTweetLib 0.5 support and adjust it for tomahawk 0.4 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 11 Mar 2012 14:13:57 +0100

tomahawk (0.4.0-0ubuntu1~ppa1~precise2) precise; urgency=low

  * Rebuild against new QTweetLib 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 11 Mar 2012 11:26:26 +0100

tomahawk (0.4.0-0ubuntu1~ppa1~precise1) precise; urgency=low

  * New upstream release 
  * Drop jreen sources and packages and build-depend on libjreen-dev instead

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 09 Mar 2012 23:46:14 +0100

tomahawk (0.3.3-0ubuntu2~ppa1~precise1) precise; urgency=low

  * set -DCMAKE_INSTALL_LIBEXECDIR=libexec to work around cmake weirdness

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 27 Dec 2011 01:08:55 +0100

tomahawk (0.3.3-0ubuntu1~precise1~ppa1) precise; urgency=low

  * Drop qtweetlib from thirdparty patch 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 11 Dec 2011 23:16:15 +0100

tomahawk (0.3.3-0ubuntu1~oneiric1~ppa1) oneiric; urgency=low

  * New upstream release
  * Recommend gstreamer0.10-plugins-ugly as it seems to help with the
    phonon-gst issues

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 09 Dec 2011 20:17:15 +0100

tomahawk (0.3.2-0ubuntu1~oneiric1~ppa2) oneiric; urgency=low

  * New upstream release
  * split libjreen0 from tomahawk into it's own package

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 27 Nov 2011 18:40:31 +0100

tomahawk (0.3.1-0ubuntu1~oneiric1~ppa3) oneiric; urgency=low

  * Add libfftw3-dev and libsamplerate0-dev to build-deps, used by liblastfm2

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 18 Nov 2011 18:59:16 +0100

tomahawk (0.3.1-0ubuntu1~oneiric1~ppa2) oneiric; urgency=low

  * Build with -DCMAKE_BUILD_TYPE=Release 
  * Build-Depend on libqtweetlib-dev instead of libqtweet-dev

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 14 Nov 2011 18:50:34 +0100

tomahawk (0.3.1-0ubuntu1~oneiric1~ppa1) oneiric; urgency=low

  * New upstream release 0.3.1 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 13 Nov 2011 19:41:14 +0100

tomahawk (0.3.0-4~0ubuntu1~oneiric0) oneiric; urgency=low

  * updated to 0.3.0
  * added -DBUILD_RELEASE=ON
  * added new deps 

 -- Paulo Dias <paulo.miguel.dias@gmail.com>  Thu, 10 Nov 2011 22:35:05 -0200

tomahawk (0.2.3-0ubuntu1~ppa2) oneiric; urgency=low

  * Packaging fixes 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 30 Sep 2011 22:26:38 +0200

tomahawk (0.2.3-0~0ubuntu1~natty0) natty; urgency=low

  * updated to 0.2.3

 -- Paulo Dias <paulo.miguel.dias@gmail.com>  Sat, 03 Sep 2011 14:32:11 -0300

tomahawk (0.3.0-3~git20110827~padoka1) natty; urgency=low

  * updated to latest git

 -- Paulo Dias <paulo.miguel.dias@gmail.com>  Sat, 27 Aug 2011 17:10:59 -0300

tomahawk (0.2.2-0~0ubuntu1~natty0) natty; urgency=low

  * updated to 0.2.2

 -- Paulo Dias <paulo.miguel.dias@gmail.com>  Tue, 23 Aug 2011 22:43:57 -0300

tomahawk (0.2.1-0~0ubuntu1~natty0) natty; urgency=low

  * updated to 0.2.1


