=== debian/control ===
Source: tomahawk
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 7.3),
               libasound2-dev,
               libattica-dev (>= 0.4~),
               libboost-dev,
               libclucene-dev,
               libechonest-dev,
               libfftw3-dev,
               libflac++-dev,
               libgloox-dev,
               libgnutls-dev,
               liblastfm-dev,
               libmad0-dev,
               libogg-dev,
               libphonon-dev,
               libqca2-dev,
               libqjson-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               libqtwebkit-dev,
               libquazip0-dev,
               libsamplerate0-dev,
               libtag-extras-dev,
               libtag1-dev,
               libvorbis-dev,
               pkg-config,
               pkg-kde-tools (>= 0.9)
Standards-Version: 3.9.4
Homepage: http://tomahawk-player.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/tomahawk
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/tomahawk

Package: tomahawk
Architecture: any
Depends: libqca2-plugin-ossl,
         libqt4-sql-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Social media player
 It hooks you up with your friends — connect with your
 jabber/gtalk/twitter friends and share collections and playlists.

Package: tomahawk-dbg
Section: debug
Priority: extra
Architecture: any
Depends: tomahawk (= ${binary:Version}), ${misc:Depends}
Description: Social media player - debugging symbols
 This package contains the debugging symbols to be used for debugging
 problems with the tomahawk package.
